<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>
            <bean:message key="gnviewer.app.title"/>
        </title>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
        <meta http-equiv="Content-Script-Type" content="text/javascript"/>
        <meta http-equiv="Content-Style-Type" content="text/css"/>
        <meta http-equiv="Expires" content="Mon, 01 Jan 1990 00:00:01 GMT"/>
        <meta http-equiv="pragma" content="no-cache"/>
        <meta http-equiv="cache-control" content="no-cache"/>
        <meta name="robots" content="noindex"/>
        <link href="styles/default.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="scripts/gnviewer.js"></script>
        <script src="http://www.openlayers.org/api/OpenLayers.js"></script>
        <script type="text/javascript">
            var lon  = 5;
            var lat  = 55;
            var zoom = 5;
            var map, layer;

            function init() {
                if (getURLParam("target") == "wms") {
                    map   = new OpenLayers.Map('map');
                    layer = new OpenLayers.Layer.WMS(
                        "MyWMS",
                        "http://denmark.atlas/cgi-bin/mapserv-gp?MAP=/opt/artifacts/mapfiles/mapfile.map",
                        {
                            layers: getURLParam("layer")
                        },
                        {
                            singleTile: 'true'
                        }
                    );

                    map.addLayer(layer);
                    map.setCenter(new OpenLayers.LonLat(lon, lat), zoom);
                }
            }

            function getURLParam(strParamName){
                var strReturn = "";
                var strHref = window.location.href;

                if ( strHref.indexOf("?") > -1 ){
                    var strQueryString = strHref.substr(strHref.indexOf("?")).toLowerCase();
                    var aQueryString = strQueryString.split("&");

                    for ( var iParam = 0; iParam < aQueryString.length; iParam++ ){
                        if (aQueryString[iParam].indexOf(strParamName + "=") > -1 ) {
                            var aParam = aQueryString[iParam].split("=");
                            strReturn = aParam[1];
                            break;
                        }
                    }
                }

                return strReturn;
            }
        </script>
    </head>

    <body id="gnviewerbody" onLoad="init()">
    <div id="overlay"></div>
    <div style="width:100%;left:0;top:0;width:100%;height:100%;position:absolute">
        <div id="overlayContent">
            <p>
                <bean:message key="gnviewer.productselection.overlay.title"/>
            </p>
        </div>
    </div>
    <div id="page">
        <jsp:include page="header.jsp" />
         <jsp:include page="index.jsp" />
        <jsp:include page="footer.jsp" />
    </div>
    </body>
</html>
